Contactos

GET https://notifycame.com/api/contacts/
curl --request GET \
--url 'https://notifycame.com/api/contacts/' \
--header 'Authorization: Bearer {api_key}' \
Parámetros Detalles Descripción
page Opcional Entero El número de página del que desea resultados. Predeterminado a 1.
results_per_page Opcional Entero Cuántos resultados deseas por página. Los valores permitidos son: 10, 25, 50, 100, 250, 500, 1000. El valor predeterminado es 25.
search Opcional Cadena La cadena de búsqueda.
search_by Opcional Cadena ¿Qué campo está buscando? Los valores permitidos son: name, phone_number.
user_id Opcional Entero Filter results by user ID.
has_opted_out Opcional Boolean
continent_code Opcional Cadena Valores permitidos: AF, AN, AS, EU, NA, OC, SA
country_code Opcional Cadena Valores permitidos: AF, AX, AL, DZ, AS, AD, AO, AI, AQ, AG, AR, AM, AW, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BQ, BA, BW, BV, BR, IO, BN, BG, BF, BI, KH, CM, CA, CV, KY, CF, TD, CL, CN, CX, CC, CO, KM, CG, CD, CK, CR, CI, HR, CU, CW, CY, CZ, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, ET, FK, FO, FJ, FI, FR, GF, PF, TF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HM, VA, HN, HK, HU, IS, IN, ID, IR, IQ, IE, IM, IL, IT, JM, JP, JE, JO, KZ, KE, KI, KP, KR, KW, KG, LA, LV, LB, LS, LR, LY, LI, LT, LU, MO, MK, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, FM, MD, MC, MN, ME, MS, MA, MZ, MM, NA, NR, NP, NL, NC, NZ, NI, NE, NG, NU, NF, MP, NO, OM, PK, PW, PS, PA, PG, PY, PE, PH, PN, PL, PT, PR, QA, RE, RO, RU, RW, BL, SH, KN, LC, MF, PM, VC, WS, SM, ST, SA, SN, RS, SC, SL, SG, SX, SK, SI, SB, SO, ZA, GS, SS, ES, LK, SD, SR, SJ, SZ, SE, CH, SY, TW, TJ, TZ, TH, TL, TG, TK, TO, TT, TN, TR, TM, TC, TV, UG, UA, AE, GB, US, UM, UY, UZ, VU, VE, VN, VG, VI, WF, EH, YE, ZM, ZW
datetime_field Opcional Cadena Valores permitidos: last_sent_datetime, last_received_datetime, datetime, last_datetime
datetime_start Opcional Cadena Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Opcional Cadena Filter results up to this datetime. Y-m-d H:i:s format.
order_by Opcional Cadena Por qué campo ordenar los resultados. Los valores permitidos son: contact_id, name, phone_number, last_sent_datetime, last_received_datetime, datetime, last_datetime, total_sent_sms, total_pending_sms, total_failed_sms, total_received_sms.
order_type Opcional Cadena El orden de los resultados. Los valores permitidos son: ASC para orden ascendente, y DESC para orden descendente.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "name": "John Doe",
            "phone_number": "+123 123 123",
            "custom_parameters": {
                "age": 18,
            },
            "continent_code": "EU",
            "country_code": "IT",
            "has_opted_out": false,
            "total_sent_sms": 10,
            "total_pending_sms": 5,
            "total_failed_sms": 0,
            "total_received_sms": 20,
            "last_sent_datetime": "2026-04-20 08:51:32",
            "last_received_datetime": "2026-04-20 08:51:32",
            "last_datetime": null,
            "datetime": "2026-04-20 08:51:32",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://notifycame.com/api/contacts?page=1",
        "last": "https://notifycame.com/api/contacts?page=1",
        "next": null,
        "prev": null,
        "self": "https://notifycame.com/api/contacts?page=1"
    }
}
GET https://notifycame.com/api/contacts/{contact_id}
curl --request GET \
--url 'https://notifycame.com/api/contacts/{contact_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "name": "John Doe",
        "phone_number": "+123 123 123",
        "custom_parameters": {
            "age": 18,
        },
        "continent_code": "EU",
        "country_code": "IT",
        "has_opted_out": false,
        "total_sent_sms": 10,
        "total_pending_sms": 5,
        "total_failed_sms": 0,
        "total_received_sms": 20,
        "last_sent_datetime": "2026-04-20 08:51:32",
        "last_received_datetime": "2026-04-20 08:51:32",
        "last_datetime": null,
        "datetime": "2026-04-20 08:51:32",
    }
}
POST https://notifycame.com/api/contacts
Parámetros Detalles Descripción
phone_number Requerido Cadena -
name Opcional Cadena -
custom_parameter_key[index] Opcional Cadena -
custom_parameter_value[index] Opcional Cadena -
curl --request POST \
--url 'https://notifycame.com/api/contacts' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'phone_number=+1231231231' \
--form 'name=Example name' \
{
    "data": {
        "id": 1
    }
}
POST https://notifycame.com/api/contacts/{contact_id}
Parámetros Detalles Descripción
phone_number Opcional Cadena -
name Opcional Cadena -
custom_parameter_key[index] Opcional Cadena -
custom_parameter_value[index] Opcional Cadena -
curl --request POST \
--url 'https://notifycame.com/api/contacts/{contact_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'custom_parameter_key[0]=name' \
--form 'custom_parameter_value[0]=john@example.com' \
{
    "data": {
        "id": 1
    }
}
DELETE https://notifycame.com/api/contacts/{contact_id}
curl --request DELETE \
--url 'https://notifycame.com/api/contacts/{contact_id}' \
--header 'Authorization: Bearer {api_key}' \